[Language]
SupportLanguage="US,JP,CZ,DE,DK,ES,FI,FR,GR,HR,HU,IT,NL,NO,PL,PT,RU,SE,KR,TH,CN,TW,TR,AR,ID,ET,LV,LT,SL,UK,BG,RO,SK,VI"
DefaultLanguage="US"
EULADIR="Res\EULA"

[Startup]
AppName="Canon IJ Network Scanner Selector EX2"
ProductName="CNMNSST2.exe"
Version="2.0.10.2"
EULA="1"
FolderSelect="0"
MinimumSize="10"
MaxPathLen="230"

[install folder]
FolderName="IJ Network Scanner Selector EX2"

[desktop shortcut]
Shortcut="0"
DSCInfo="Canon IJ Network Scanner Selector EX2" "$InsFolder$\CNMNSST2.exe" "$InsFolder$" "" "INST_NML"

[group shortcut]
GroupShortcut="1"
GSCFolderName="Canon Utilities"
GSCInfo="IJ Network Scanner Selector EX2" "$InsFolder$\CNMNSST2.exe" "$InsFolder$" "" "INST_NML" "Canon Utilities\IJ Network Scanner Selector EX2" "INST_DEL"

[uninstall info]
DisplayName="Canon IJ Network Scanner Selector EX2"
UninstallName="Canon_IJ_Network_Scanner_Selector_EX2"
MakeISU="0"

[app path info]
AppPathsName="CNMNSST2.exe" "$InsFolder$\CNMNSST2.exe" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp="1"
UNInfo="CNMNSST2.exe" "Canon_IJ_Network_Scanner_Selector_EX2" "Canon IJ Network Scanner Selector EX2" "1156" "" "10000"

[OS]
WIN95="0"
WIN98="0"
WINME="0"
WINNT="0"
WIN2K="0"
WINXP="1"
WINNW="1"

[DOCICON]

[LanguageSelect]
REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX2"

[Files]
FILE="DATA2.Cab\CNMNSST2.exe" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNCLID34.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\cnmpu2.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\cnwidsd.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\cnwidcn.exe" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\cnwidcn.ini" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\scchmpm.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_IMG.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_ENU.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_JPN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_ARA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_CHS.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_CHT.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_CSY.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_DAN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_DEU.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_ELL.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_ESP.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_FIN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_FRA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_HRV.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_HUN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_IND.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_ITA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_KOR.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_NLD.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_NOR.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_PLK.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_PTB.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_RUS.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_SVE.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_THA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_TRK.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_ETI.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_LVI.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_LTH.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_SLV.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_UKR.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_BGR.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_ROM.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_SKY.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="DATA2.Cab\CNS2_VIT.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX2" "AppPath" "REG_SZ" "$InsFolder$\CNMNSST2.exe" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX2" "Language" "REG_SZ" "$Language$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX2" "SupportVersion" "REG_SZ" "20.0" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX2" "Version" "REG_SZ" $Version$ "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Microsoft\Windows\CurrentVersion\Run" "IJNetworkScannerSelectorEX2" "REG_SZ" "$InsFolder$\CNMNSST2.exe /FORCE" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

[UNINSTALL ONLY]
UREGIK="HCU" "Software\Canon\IJNetworkScannerSelectorEX2" "DELETE_UDHLD"
UREGIK="HCU" "Software\Canon" "DELETE_EMPTY"
UREGIK="HUS" "Software\Canon\IJNetworkScannerSelectorEX2" "DELETE_UDHLD"
UREGIK="HUS" "Software\Canon" "DELETE_EMPTY"

[InstallBeforeCall]

[InstallAfterCall]

[InstallEndCall]
CallEntry="INST_APO" "CNMNSST2.exe" "OS(OS_INDEPENDENT)" "INST_ERR" "CALL_ONLY" "EXE_NOWAIT_MSETUPNOCALL" "/FORCE" "0"

[UninstallBeforeCall]

[UninstallAfterCall]

